#include <stdint.h>
#include <unistd.h>
#include <iostream>
#include <functional>

#include "i2c_ch0_impl.hpp"
#include "i2c.hpp"

int main(void)
{
	//using namespace std::placeholders; // for _1, _2, ...
	std::cout << "structure idea test" << std::endl;

	I2C<I2C_CH0_impl> i2c_ch_0;
	//hw::I2C<hw::i2c_ch1> i2c_ch_1;
	
	
	
	//i2c_ch_0.writeByte(1,1);
	//i2c_ch_1.writeByte(1,2);


	return 0;
}
